Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.registry
Class EPPRegistryInternalHost

    java.lang.Object
      com.verisign.epp.codec.registry.EPPRegistryMinMaxLength
          com.verisign.epp.codec.registry.EPPRegistryInternalHost

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPRegistryInternalHost

extends EPPRegistryMinMaxLength

Defines the minimum and maximum number of IP addresses supported for an internal host. The <registry:internal> elements contains the following child elements:

- <registry:minIP> - Minimum number of IP addresses supported for an internal host.
- <registry:maxIP> - Maximum number of IP addresses supported for an internal host.
- <registry:sharePolicy> - The OPTIONAL policy for the sharing of internal hosts in the server.The possible shared policy values include:
  - "perZone" - The internal hosts are shared across all domains of the zone. There is a single pool of internal hosts defined for the zone.
  - "perSystem" - The internal hosts are shared across all zones of the system. There is a single pool of internal hosts across all of the zones supported by the system.

Version:
  1.4
Author:
  ljia
See Also:
  `EPPRegistryHost`, Serialized Form

Field Summary
`static java.lang.String` | `ELM_LOCALNAME` Constant for the status local name
`static java.lang.String` | `ELM_NAME` Constant for the external host (prefix and local name)
`static java.lang.String` | `ELM_SHARE_POLICY` XML Element Name of `sharePolicy` attribute
`static java.lang.String` | `TYPE_PER_SYSTEM` Constant for perSystem policy
`static java.lang.String` | `TYPE_PER_ZONE` Constant for perZone policy
`static java.util.List` | `VALID_POLICIES` `List` of valid share policies

Fields inherited from class com.verisign.epp.codec.registry.EPPRegistryMinMaxLength
`ELM_MAX, ELM_MAX_LENGTH, ELM_MIN, ELM_MIN_LENGTH, elmMax, elmMin, max, min, rootName`

Constructor Summary
`EPPRegistryInternalHost()` Default constructor
`EPPRegistryInternalHost(java.lang.Integer min, java.lang.Integer max, java.lang.String sharePolicy)` Constructor that takes `min`, `max` and `sharePolicy`.
`EPPRegistryInternalHost(int min, int max, java.lang.String sharePolicy)` Constructor that takes `min`, `max` and `sharePolicy`.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPRegistryInternalHost`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPRegistryInternalHost` attributes from the aElement DOM Element tree.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPRegistryInternalHost` instance.
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPRegistryInternalHost` compare.
`java.lang.String` | `getSharePolicy()` Gets the shared policy.
`void` | `setSharePolicy(java.lang.String sharePolicy)` Sets the shared policy.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
`protected void` | `validateState()` Validate the state of the `EPPRegistryInternalHost` instance.

Methods inherited from class com.verisign.epp.codec.registry.EPPRegistryMinMaxLength
`getElmMax, getElmMin, getMax, getMin, getRootName, setElmMax, setElmMin, setMax, setMin, setRootName`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_LOCALNAME

    public static final java.lang.String ELM_LOCALNAME

  Constant for the status local name

  See Also:
    Constant Field Values

### ELM_NAME

    public static final java.lang.String ELM_NAME

  Constant for the external host (prefix and local name)

  See Also:
    Constant Field Values

### ELM_SHARE_POLICY

    public static final java.lang.String ELM_SHARE_POLICY

  XML Element Name of `sharePolicy` attribute

  See Also:
    Constant Field Values

### VALID_POLICIES

    public static final java.util.List VALID_POLICIES

  `List` of valid share policies

### TYPE_PER_ZONE

    public static final java.lang.String TYPE_PER_ZONE

  Constant for perZone policy

  See Also:
    Constant Field Values

### TYPE_PER_SYSTEM

    public static final java.lang.String TYPE_PER_SYSTEM

  Constant for perSystem policy

  See Also:
    Constant Field Values

Constructor Detail

### EPPRegistryInternalHost

    public EPPRegistryInternalHost()

  Default constructor

### EPPRegistryInternalHost

    public EPPRegistryInternalHost(java.lang.Integer min,
                                   java.lang.Integer max,
                                   java.lang.String sharePolicy)

  Constructor that takes `min`, `max` and `sharePolicy`.

  Parameters:
    `min` - minimum number of IPs supported for an internal host
    `max` - maximum number of IPs supported for an internal host
    `sharePolicy` - "perZone" or "perSystem"

### EPPRegistryInternalHost

    public EPPRegistryInternalHost(int min,
                                   int max,
                                   java.lang.String sharePolicy)

  Constructor that takes `min`, `max` and `sharePolicy`.

  Parameters:
    `min` - minimum number of IPs supported for an internal host
    `max` - maximum number of IPs supported for an internal host
    `sharePolicy` - "perZone" or "perSystem"

Method Detail

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPRegistryInternalHost` instance.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Overrides:
    `encode` in class `EPPRegistryMinMaxLength`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Element Root DOM Element representing the `EPPRegistryInternalHost` instance.
  Throws:
    `EPPEncodeException` - - Unable to encode `EPPRegistryInternalHost` instance.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the `EPPRegistryInternalHost` attributes from the aElement DOM Element tree.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Overrides:
    `decode` in class `EPPRegistryMinMaxLength`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPRegistryInternalHost` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPRegistryInternalHost`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `EPPRegistryMinMaxLength`
  Returns:
    clone of `EPPRegistryInternalHost`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPRegistryInternalHost` compare.

  Overrides:
    `equals` in class `EPPRegistryMinMaxLength`
  Parameters:
    `aObject` - `EPPRegistryInternalHost` instance to compare with
  Returns:
    `true` if this object is the same as the aObject argument; `false` otherwise

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `EPPRegistryMinMaxLength`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### getSharePolicy

    public java.lang.String getSharePolicy()

  Gets the shared policy.

  Returns:
    shared policy `String`

### setSharePolicy

    public void setSharePolicy(java.lang.String sharePolicy)

  Sets the shared policy.

  Parameters:
    `sharePolicy` - shared policy `String`

### validateState

    protected void validateState()
                          throws EPPEncodeException

  Validate the state of the `EPPRegistryInternalHost` instance. A valid state means that all of the required attributes have been set. If validateState returns without an exception, the state is valid. If the state is not valid, the EPPCodecException will contain a description of the error. throws EPPCodecException State error. This will contain the name of the attribute that is not valid.

  Overrides:
    `validateState` in class `EPPRegistryMinMaxLength`
  Throws:
    `EPPCodecException`
    `EPPEncodeException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.